<?xml version="1.0"?>


<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <parent>
    <groupId>org.neo4j</groupId>
    <artifactId>cypher-parent</artifactId>
    <version>3.5.36-SNAPSHOT</version>
    <relativePath>../</relativePath>
  </parent>

  <modelVersion>4.0.0</modelVersion>
  <artifactId>neo4j-cypher-acceptance-spec-suite</artifactId>
  <packaging>jar</packaging>
  <version>3.5.36-SNAPSHOT</version>
  <name>Neo4j - Cypher Acceptance</name>
  <description>Neo4j - Cypher Acceptance Specification Suite</description>
  <url>http://components.neo4j.org/${project.artifactId}/${project.version}</url>

  <scm>
    <connection>scm:git:git://github.com/neo4j/neo4j.git</connection>
    <developerConnection>scm:git:git@github.com:neo4j/neo4j.git</developerConnection>
    <url>https://github.com/neo4j/neo4j</url>
  </scm>

  <properties>
    <moduleName>org.neo4j.cypher.internal.runtime.util</moduleName>
    <license-text.header>headers/GPL-3-header.txt</license-text.header>
  </properties>

  <licenses>
    <license>
      <name>GNU General Public License, Version 3</name>
      <url>http://www.gnu.org/licenses/gpl-3.0-standalone.html</url>
      <comments>The software ("Software") developed and owned by Neo4j Sweden AB (referred to in this notice as "Neo4j") is
        licensed under the GNU GENERAL PUBLIC LICENSE Version 3 to all third
        parties and that license is included below.

        However, if you have executed an End User Software License and Services
        Agreement or an OEM Software License and Support Services Agreement, or
        another commercial license agreement with Neo4j or one of its
        affiliates (each, a "Commercial Agreement"), the terms of the license in
        such Commercial Agreement will supersede the GNU GENERAL PUBLIC LICENSE
        Version 3 and you may use the Software solely pursuant to the terms of
        the relevant Commercial Agreement.
      </comments>
    </license>
  </licenses>

  <build>
    <plugins>
      <plugin>
        <groupId>org.scalastyle</groupId>
        <artifactId>scalastyle-maven-plugin</artifactId>
      </plugin>
    </plugins>
  </build>

  <dependencies>

    <!-- shared versions are defined in the parent pom -->

    <!-- scala -->

    <dependency>
      <groupId>org.scala-lang</groupId>
      <artifactId>scala-library</artifactId>
    </dependency>

    <dependency>
      <groupId>org.scala-lang</groupId>
      <artifactId>scala-reflect</artifactId>
    </dependency>

    <dependency>
      <groupId>org.scala-lang</groupId>
      <artifactId>scalap</artifactId>
    </dependency>

    <!-- scala test dependencies -->

    <dependency>
      <groupId>org.scalatest</groupId>
      <artifactId>scalatest_2.11</artifactId>
    </dependency>
    <dependency>
      <groupId>org.scalautils</groupId>
      <artifactId>scalautils_2.11</artifactId>
    </dependency>
    <dependency>
      <groupId>org.scalacheck</groupId>
      <artifactId>scalacheck_2.11</artifactId>
    </dependency>

    <!-- neo4j -->

    <dependency>
      <groupId>org.neo4j</groupId>
      <artifactId>neo4j-kernel</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.neo4j</groupId>
      <artifactId>neo4j-cypher</artifactId>
      <version>${project.version}</version>
    </dependency>

    <!-- neo4j testing -->

    <dependency>
      <groupId>org.neo4j.community</groupId>
      <artifactId>it-test-support</artifactId>
      <version>${project.version}</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.neo4j</groupId>
      <artifactId>neo4j-kernel</artifactId>
      <version>${project.version}</version>
      <type>test-jar</type>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.neo4j.community</groupId>
      <artifactId>cypher-it</artifactId>
      <version>${project.version}</version>
      <type>test-jar</type>
      <scope>test</scope>
    </dependency>

    <dependency>
      <groupId>org.neo4j</groupId>
      <artifactId>neo4j-io</artifactId>
      <version>${project.version}</version>
      <type>test-jar</type>
      <scope>test</scope>
    </dependency>

    <dependency>
      <groupId>org.neo4j</groupId>
      <artifactId>neo4j-cypher</artifactId>
      <version>${project.version}</version>
      <type>test-jar</type>
    </dependency>

    <dependency>
      <groupId>org.neo4j</groupId>
      <artifactId>neo4j-logging</artifactId>
      <version>${project.version}</version>
      <type>test-jar</type>
    </dependency>

    <dependency>
      <groupId>org.neo4j</groupId>
      <artifactId>neo4j-cypher-runtime-util</artifactId>
      <version>${project.version}</version>
      <type>test-jar</type>
      <scope>test</scope>
    </dependency>

    <!-- neo4j-cypher -->

    <dependency>
      <groupId>org.neo4j</groupId>
      <artifactId>neo4j-cypher-planner-3.5</artifactId>
      <version>${project.version}</version>
    </dependency>

    <!-- neo4j-cypher test -->

    <dependency>
      <groupId>org.neo4j</groupId>
      <artifactId>neo4j-cypher-planner-3.5</artifactId>
      <version>${project.version}</version>
      <type>test-jar</type>
      <scope>test</scope>
    </dependency>

    <dependency>
      <groupId>org.neo4j</groupId>
      <artifactId>neo4j-ast-3.5</artifactId>
      <version>${project.version}</version>
      <type>test-jar</type>
      <scope>test</scope>
    </dependency>

    <dependency>
      <groupId>org.neo4j</groupId>
      <artifactId>neo4j-util-3.5</artifactId>
      <version>${project.version}</version>
      <type>test-jar</type>
      <scope>test</scope>
    </dependency>

    <dependency>
      <groupId>org.neo4j</groupId>
      <artifactId>neo4j-cypher-spec-suite-tools</artifactId>
      <version>${project.version}</version>
      <scope>test</scope>
    </dependency>

    <dependency>
      <groupId>org.neo4j</groupId>
      <artifactId>neo4j-cypher-spec-suite-tools</artifactId>
      <version>${project.version}</version>
      <type>test-jar</type>
      <scope>test</scope>
    </dependency>

    <dependency>
      <groupId>commons-codec</groupId>
      <artifactId>commons-codec</artifactId>
    </dependency>
    <!-- other -->

    <dependency>
      <groupId>com.novus</groupId>
      <artifactId>salat-core_2.11</artifactId>
    </dependency>

    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-server</artifactId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-servlet</artifactId>
      <scope>test</scope>
    </dependency>

  </dependencies>
</project>
